org.apache.ode.bpel.runtime

## Class PropertyAliasEvaluationContext

- java.lang.Object
- - org.apache.ode.bpel.runtime.PropertyAliasEvaluationContext

- All Implemented Interfaces:
    EvaluationContext

      public class PropertyAliasEvaluationContext
      extends java.lang.Object
      implements EvaluationContext

  Expression language evaluation context used for evaluating property aliases.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyAliasEvaluationContext(org.w3c.dom.Element msgData, OProcess.OPropertyAlias alias)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `evaluateQuery(org.w3c.dom.Node root, OExpression expr)` Evaluate a query expression.
    `java.net.URI` | `getBaseResourceURI()` Retrieves the base URI that the BPEL Process execution contextis running relative to.
    `java.util.Date` | `getCurrentEventDateTime()`
    `org.w3c.dom.Node` | `getPartData(org.w3c.dom.Element message, OMessageVarType.Part part)`
    `java.lang.Long` | `getProcessId()` Reads the current process instance id.
    `javax.xml.namespace.QName` | `getProcessQName()` Reads the current process's name.
    `org.w3c.dom.Node` | `getPropertyValue(javax.xml.namespace.QName propertyName)` Retrieves the property value that has been defined for this BPEL Process type.
    `org.w3c.dom.Node` | `getRootNode()` Obtain the root node.
    `boolean` | `isLinkActive(OLink olink)` Obtain the status of a control link.
    `boolean` | `narrowTypes()` Indicates whether simple types should be narrowed to a Java type when using this evaluation context.
    `java.lang.String` | `readMessageProperty(OScope.Variable variable, OProcess.OProperty property)` Read the value of a BPEL property.
    `org.w3c.dom.Node` | `readVariable(OScope.Variable variable, OMessageVarType.Part part)` Read the value of a BPEL variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyAliasEvaluationContext

          public PropertyAliasEvaluationContext(org.w3c.dom.Element msgData,
                                        OProcess.OPropertyAlias alias)

  - ### Method Detail

    - #### getRootNode

          public org.w3c.dom.Node getRootNode()

      Description copied from interface: `EvaluationContext`
      Obtain the root node.
      Specified by:
        `getRootNode` in interface `EvaluationContext`
      Returns:
        root node

    - #### isLinkActive

          public boolean isLinkActive(OLink olink)
                               throws FaultException

      Description copied from interface: `EvaluationContext`
      Obtain the status of a control link.
      Specified by:
        `isLinkActive` in interface `EvaluationContext`
      Parameters:
        `olink` - link to check
      Returns:
        `true` if the link is active, `false` otherwise.
      Throws:
        `FaultException`

    - #### readMessageProperty

          public java.lang.String readMessageProperty(OScope.Variable variable,
                                             OProcess.OProperty property)
                                               throws FaultException

      Description copied from interface: `EvaluationContext`
      Read the value of a BPEL property.
      Specified by:
        `readMessageProperty` in interface `EvaluationContext`
      Parameters:
        `variable` - variable containing property
        `property` - property to read
      Returns:
        value of the property
      Throws:
        `FaultException`

    - #### readVariable

          public org.w3c.dom.Node readVariable(OScope.Variable variable,
                                      OMessageVarType.Part part)
                                        throws FaultException

      Description copied from interface: `EvaluationContext`
      Read the value of a BPEL variable.
      Specified by:
        `readVariable` in interface `EvaluationContext`
      Parameters:
        `variable` - variable to read
        `part` - the part (or `null`)
      Returns:
        the value of the variable, wrapped in a `Node`
      Throws:
        `FaultException`

    - #### evaluateQuery

          public org.w3c.dom.Node evaluateQuery(org.w3c.dom.Node root,
                                       OExpression expr)
                                         throws FaultException

      Description copied from interface: `EvaluationContext`
      Evaluate a query expression.
      Specified by:
        `evaluateQuery` in interface `EvaluationContext`
      Parameters:
        `root` - the root context
        `expr` - the query expression
      Returns:
        node returned by query
      Throws:
        `FaultException`

    - #### getProcessId

          public java.lang.Long getProcessId()

      Description copied from interface: `EvaluationContext`
      Reads the current process instance id.
      Specified by:
        `getProcessId` in interface `EvaluationContext`
      Returns:
        instance id

    - #### getProcessQName

          public javax.xml.namespace.QName getProcessQName()

      Description copied from interface: `EvaluationContext`
      Reads the current process's name.
      Specified by:
        `getProcessQName` in interface `EvaluationContext`
      Returns:
        process name

    - #### getPartData

          public org.w3c.dom.Node getPartData(org.w3c.dom.Element message,
                                     OMessageVarType.Part part)
                                       throws FaultException

      Specified by:
        `getPartData` in interface `EvaluationContext`
      Throws:
        `FaultException`

    - #### narrowTypes

          public boolean narrowTypes()

      Description copied from interface: `EvaluationContext`
      Indicates whether simple types should be narrowed to a Java type when using this evaluation context.
      Specified by:
        `narrowTypes` in interface `EvaluationContext`

    - #### getBaseResourceURI

          public java.net.URI getBaseResourceURI()

      Description copied from interface: `EvaluationContext`
      Retrieves the base URI that the BPEL Process execution contextis running relative to.
      Specified by:
        `getBaseResourceURI` in interface `EvaluationContext`
      Returns:
        URI - the URI representing the absolute physical file path location that this process is defined within.

    - #### getPropertyValue

          public org.w3c.dom.Node getPropertyValue(javax.xml.namespace.QName propertyName)

      Description copied from interface: `EvaluationContext`
      Retrieves the property value that has been defined for this BPEL Process type.
      Specified by:
        `getPropertyValue` in interface `EvaluationContext`
      Returns:
        propertyValue - the value corresponding to the process property name.

    - #### getCurrentEventDateTime

          public java.util.Date getCurrentEventDateTime()

      Specified by:
        `getCurrentEventDateTime` in interface `EvaluationContext`